aws_datapipeline_api 0.0.2

  • Readme
  • Changelog
  • Example
  • Installing
  • 48

AWS API client for AWS Data Pipeline #

Warning: This is a generated library, some operations may not work.

About the service: AWS Data Pipeline configures and manages a data-driven workflow called a pipeline. AWS Data Pipeline handles the details of scheduling and ensuring that data dependencies are met so that your application can focus on processing the data.

AWS Data Pipeline provides a JAR implementation of a task runner called AWS Data Pipeline Task Runner. AWS Data Pipeline Task Runner provides logic for common data management scenarios, such as performing database queries and running data analysis using Amazon Elastic MapReduce (Amazon EMR). You can use AWS Data Pipeline Task Runner as your task runner, or you can write your own task runner to provide custom data management.

AWS Data Pipeline implements two main sets of functionality. Use the first set to create a pipeline and define data sources, schedules, dependencies, and the transforms to be performed on the data. Use the second set in your task runner application to receive the next task ready for processing. The logic for performing the task, such as querying the data, running data analysis, or converting the data from one format to another, is contained within the task runner. The task runner performs the task assigned to it by the web service, reporting progress to the web service as it does so. When the task is done, the task runner reports the final success or failure of the task to the web service.

Contributors #

0.0.2 #

(git hash: 67811ec0cad6d0112ba3c49ec504e789e85f28b2)

  • Fixed top-level enum serialization. (#177)
  • AwsClientCredentials is no longer a required parameter. (#168)

0.0.1 #

  • initial release

example/README.md

import 'package:aws_datapipeline_api/datapipeline-2012-10-29.dart';

void main() {
  final credentials = AwsClientCredentials(accessKey: '', secretKey: '');
  final service = DataPipeline(region: 'eu-west-1', credentials: credentials);
  // See documentation on how to use DataPipeline
}

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  aws_datapipeline_api: ^0.0.2

2. Install it

You can install packages from the command line:

with pub:


$ pub get

with Flutter:


$ flutter pub get

Alternatively, your editor might support pub get or flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:aws_datapipeline_api/datapipeline-2012-10-29.dart';
import 'package:aws_datapipeline_api/datapipeline-2012-10-29.g.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
0
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
90
Overall:
Weighted score of the above. [more]
48
Learn more about scoring.

We analyzed this package on Jul 9, 2020, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.8.4
  • pana: 0.13.13

Maintenance suggestions

Package is pre-v0.1 release. (-10 points)

While nothing is inherently wrong with versions of 0.0.*, it might mean that the author is still experimenting with the general direction of the API.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.7.0 <3.0.0
shared_aws_api ^0.1.5 0.1.8
Transitive dependencies
charcode 1.1.3
collection 1.14.13 1.15.0-nnbd
convert 2.1.1
crypto 2.1.5
http 0.12.1
http_parser 3.1.4
intl 0.16.1
json_annotation 3.0.1
meta 1.2.1
path 1.7.0
pedantic 1.9.1
petitparser 3.0.4
source_span 1.7.0
string_scanner 1.0.5
term_glyph 1.1.0
typed_data 1.2.0 1.3.0-nnbd
xml 4.2.0
Dev dependencies
build_runner ^1.8.1
build_verify ^1.1.1
json_serializable ^3.3.0
test ^1.14.2